#!/bin/bash
# Run Talk2Me development server locally

echo "Starting Talk2Me development server..."
echo "=================================="
echo "Admin Dashboard: http://localhost:5005/admin"
echo "  Token: 4CFvwzmeDWhecfuOHYz7Hyb8nQQ="
echo ""
echo "User Login: http://localhost:5005/login"
echo "  Username: admin"
echo "  Password: talk2me123"
echo ""
echo "API Authentication:"
echo "  API Key: 6sy2_m8e89FeC2RmUo0CcgufM9b_0OoIwIa8LSEbNhI"
echo "=================================="
echo ""

# Kill any existing process on port 5005
lsof -ti:5005 | xargs kill -9 2>/dev/null

# Set environment variables
export FLASK_ENV=development
export FLASK_DEBUG=1

# Run with gunicorn for a more production-like environment
gunicorn --bind 0.0.0.0:5005 \
         --workers 1 \
         --threads 2 \
         --timeout 120 \
         --reload \
         --log-level debug \
         wsgi:application
